/* Copyright (c) 1985 Martin Nohr and Tom Serface
 * All Rights Reserved
 *
 * Revision	Date		Description
 * --------	---------	--------------------------------------------
 *
 * annuity	- Returns the Future Value of Regular Deposits
 *			This section calculates the future value realized given a
 *			regular deposit to an annuity, nominal interest rate,
 *			number of deposits per year, and the total number of
 *			of deposits that will be made (assumes 1 deposit per period)
 *
 *			Call as annuity(r,i,n,y);
 *			Where:
 *				r = regular deposit
 *				i = annual interest rate
 *				n = number of deposits per year
 *				y = number of total deposits
 *
 * double annuity();
 * double r,i;
 * int n,y;
 */
		
double
annuity(r,i,n,y) 	/* Future Value of Regular Deposits */
double r,i;
int n,y;
{
	return(round(r*((pow(1+(i/n),(double)y)-1)/(i/n)),2));
}
