/* Copyright (c) 1985 Martin Nohr and Tom Serface
 * All Rights Reserved
 *
 * Revision	Date		Description
 * --------	---------	--------------------------------------------
 *
 *  center - Center a String into Another String
 *			Call as: center(s2,s1,ncols);
 *			Where:
 *				s1 = the string to center
 *				s2 = the destination string
 *			 ncols = the number of columns
 *      s2 must be at least ncols wide or memory problems occur
 *
 * void center();
 * char *s2, *s1;
 * int ncols;
 */
#define EOS '\0'
#define BLANK ' '

void
center(s2,s1,ncols)
char *s1, *s2;
int ncols;
{
int len, i, spaces;
char *si, *so;

    if(ncols<=1 || ncols <= strlen(s1))
        return;

    si=s1;
    so=s2;
    while(isspace(*si)) {
        ++si;
    }
    spaces=(ncols-strlen(si))/2;
    for(i=1;i<spaces;i++)
        *so++=BLANK;

    while(*so++=*si++);
    *so=EOS;
}
