/* Copyright (c) 1985 Martin Nohr and Tom Serface
 * All Rights Reserved
 *
 * Revision	Date		Description
 * --------	---------	--------------------------------------------
 *
 * effective - Returns the Effective Interest Rate for a loan
 *		This calculates the effective interest rate for an investment
 *		given the initial amount, the expected future amount, the
 *		number of compounding periods per year, and the total number
 * 		of periods the	investment will exist.
 *
 *			Call as effective(p,f,n,y);
 *			Where:
 *				p = principal (initial investment)
 *				f = future value of the investment
 *				n = number of payments per year
 *				y = number of total payments
 *
 * double effective();
 * double p, f;
 * int n,y;
 */

double
effective(p,f,n,y) 	/* Effective Interest Rate for an Investment */
double p,f;
int n,y;
{
	double x, z;

	x=(double)(y);
	z=(double)(n);
	return(pow(f/p,1.0/(x/z))-1.0);
}
