/* Copyright (c) 1985 Martin Nohr and Tom Serface
 * All Rights Reserved
 *
 * Revision	Date		Description
 * --------	---------	--------------------------------------------
 *
 * fv	- Returns Future Value of a Present Sum
 *		This calculates the future value that can be expected
 *		from an investment given the initial value, annual interest,
 *		number of compounding periods (e.g., months	per year, and the total
 *		number of periods the investment will exist.
 *
 *			Call as fv(p,i,n,y);
 *			Where:
 *				p = present value
 *				i = annual interest  rate
 *				n = number of periods per year
 *				y = number of total periods
 *
 * double fv();
 * double p,i;
 * int n,y;
 *
 */

double
fv(p,i,n,y)	/* Future Value */
double p,i;
int n,y;
{
	return(round(p*pow(1+(i/n),(double)y),2));
}
