/* Copyright (c) 1985 Martin Nohr and Tom Serface
 * All Rights Reserved
 *
 * Revision	Date		Description
 * --------	---------	--------------------------------------------
 *
 * interest - Returns Interest Amount for a Loan
 *		This calculates the	interest rate for a loan given
 *		the principal, payment, number of payments per year, and the
 *		total number of payments for the loan.
 *			Call as interest(p,r,n,y);
 *			Where:
 *				p = principal
 *				r = regular payment amount
 *				n = number of periods per year
 *				y = number of total periods
 *
 * double interest();
 * double p,r;
 * int n,y;
 */

double
interest(p,r,n,y)  /* Interest on a Loan */
double p,r;
int n,y;
{
	int j;
	double i, z, x, result;

	/* guess at interest */
	i=0.0;
	z=1.0; /* the real rate must be between these two */
	result=0.0;

	for(j=0;j < 3000;++j) {
		x=(i+z)/2;
		result=round(x*p/n/(1-(pow((1+(x/n)),(double)-y))),2);
		if(result == r) 
			return(x);
		else if(result < r) 
			i=x;
		else
			z=x;
	}
	printf("Could not converge on interest in 3000 tries\n");
	return(0.0);
}
