/* Copyright (c) 1985 Martin Nohr and Tom Serface
 * All Rights Reserved
 *
 * Revision	Date		Description
 * --------	---------	--------------------------------------------
 *
 * lastpay	- Returns the amount of the Last Payment on a Loan
 *			Call as lastpay(r,p,i,n,y);
 *			Where:
 *				r = regular payment amount
 *				p = principal of the loan
 *				i = annual interest rate
 *				n = number of periods per year
 *				y = number of total periods
 *
 * double lastpay();
 * double r,p,i;
 * int n,y;
 */

double
lastpay(r,p,i,n,y)	/* Last Payment on a loan */
double r,p,i;
int n,y;
{
	int j;
	double bal,ins;
	
	ins=i/n;
	bal=p;
	for(j=0; j<y; j++) 
		bal-=r-round((bal*ins),2);

	return(round(bal+r,2));
}

