/* Copyright (c) 1985 Martin Nohr and Tom Serface
 * All Rights Reserved
 *
 * Revision	Date		Description
 * --------	---------	--------------------------------------------
 *
 * minwith - Returns the Minimum Amount you need to Investment
 *			 to withdraw a fixed amount every period.
 *
 *		This calculates the initial	amount required to be
 *		able to withdraw a specified amount	on a regular basis.
 *		The calculation requires the amount	of the withdrawal,
 *		nominal interest rate, number of withdrawals per year,
 *		and the total number of withdrawals (assumes 1 withdrawal
 *		per period).
 *
 *			Call as:	result=minwith(r,i,n,y);
 *			Where:
 *				r = regular withdrawal
 *				i = annual interest rate
 *				n = number of withdrawals per year
 *				y = number of total withdrawals
 *
 * double minwith();
 * double r,i;
 * int n,y;
 */

double
minwith(r,i,n,y) 	/* Minimum Investment for Withdrawals */
double r,i;
int n,y;
{
	return(round((r*n/i)*(1-(1/(pow(1+(i/n),(double)y)))),2));
}
