/* Copyright (c) 1985 Martin Nohr and Tom Serface
 * All Rights Reserved
 *
 * Revision	Date		Description
 * --------	---------	--------------------------------------------
 *
 * nominal - Returns the Nominal Interest Rate for a loan
 *		This calculates the nominal	interest rate for an investment
 *		given the initial amount, the expected future amount, the
 *		number of compounding periods per year, and the total number
 * 		of periods the	investment will exist.
 *			Call as nominal(p,f,n,y);
 *			Where:
 *				p = principal (initial investment)
 *				f = future value of the investment
 *				n = number of payments per year
 *				y = number of total payments
 *
 * double nominal();
 * double p,f;
 * int n,y;
 */

double
nominal(p,f,n,y) 	/* Nominal Interest Rate for an Investment */
double p,f;
int n,y;
{
	return(n*(pow(f/p,1.0/y)-1.0));
}
