/* Copyright (c) 1985 Martin Nohr and Tom Serface
 * All Rights Reserved
 *
 * Revision	Date		Description
 * --------	---------	--------------------------------------------
 *
 * payment - Returns Payment Amount for a Loan
 *		This calculates the payment	required to repay a loan
 *		given the principal, interest, number of payments per year, and
 *		the number of total periods (e.g., months) the loan will exist.
 *			Call as: payment(p,i,n,y);
 *			Where:
 *				p = principal
 *				i = interest payment rate
 *				n = number of periods per year
 *				y = number of total periods
 *
 * double payment();
 * double p, i;
 * int n,y;
 */

double
payment(p,i,n,y)	/* Payment of a Loan */
double p,i;
int n,y;
{
	return(round(i*p/n/(1-(pow((1+(i/n)),(double)-y))),2));
}
