/* Copyright (c) 1985 Martin Nohr and Tom Serface
 * All Rights Reserved
 *
 * Revision	Date		Description
 * --------	---------	--------------------------------------------
 *
 * principal	- Returns Principal of a Loan
 *		This calculates the amount that can be borrowed on a loan
 *		given the payment, interest, number	of payments per year, and the
 *		number of total periods (e.g., months) the loan will exist.
 *			Call as: principal(r,i,n,y);
 *			Where:
 *				r = regular payment
 *				i = interest payment rate
 *				n = number of periods per year
 *				y = number of total periods
 *
 * double principal();
 * double r,i;
 * int n,y;
 */

double
principal(r,i,n,y)	/* Principal of a Loan */
double r,i;
int n,y;
{
	return(round(r*n/i*(1-(1/pow(1+i/n,(double)y))),2));
}
