/* Copyright (c) 1985 Martin Nohr and Tom Serface
 * All Rights Reserved
 *
 * Revision	Date		Description
 * --------	---------	--------------------------------------------
 *
 * pv	- Returns Present Value of a Future Sum
 *		This calculates the initial amount needed to reach
 *		a future value for an investment given the future value,
 *		annual interest, number of compounding periods per year,
 *		and the total number of periods the	investment will exist.
 *			Call as: pv(f,i,n,y);
 *			Where:
 *				f = future value
 *				i = annual interest  rate
 *				n = number of periods per year
 *				y = number of total periods
 *
 * double pv();
 * double f,i;
 * int n,y;
 */

double
pv(f,i,n,y)	/* Present Value */
double f,i;
int n,y;
{
	return(round(f/pow(1+(i/n),(double)y),2));
}

