/* Copyright (c) 1985 Martin Nohr and Tom Serface
 * All Rights Reserved
 *
 * Revision	Date		Description
 * --------	---------	--------------------------------------------
 *
 * round - Returns the Rounded Result of a double float.
 *			Call as: round(v,s);
 *			Where:
 *					v = value to round
 *					s = significant places ((-) left of decimal point
 *								 		(+) right of the decimal point)
 * double round();
 * double v;
 * int s;
 */

double
round(v,s)	/* Round a double or float to 'sig' places to the
			   left or right of the decimal. */
double v;
int s;
{
	double dhold;
	long ihold;

	if (s > 0) { /* Round to the right of the decimal place */
		dhold=(v+(5/pow(10.0,(double)s+1)))*pow(10.0,(double)s);
		ihold=dhold;
		dhold=(double)ihold/pow(10.0,(double)s);

	} else { /* Round to the left of the decimal place */
		s=abs(s);
		dhold=(v+(5*pow(10.0,(double)s-1)))/pow(10.0,(double)s);
		ihold=dhold;
		dhold=(double)ihold*pow(10.0,(double)s);
	}
	return(dhold);
}
