/* Copyright (c) 1985 Martin Nohr and Tom Serface
 * All Rights Reserved
 *
 * Revision	Date		Description
 * --------	---------	--------------------------------------------
 *
 * withdraw - Returns the amount you can Withdraw from an Investment
 *		This calculates the amount that can be withdrawn
 *		from an investment an a regular basis given the initial amount,
 *		nominal interest rate, number of withdrawals per year, and
 *		the total number of withdrawals (assumes 1 withdrawal per period)
 *			Call as: withdraw(p,i,n,y);
 *			Where:
 *				p = present value
 *				i = annual interest rate
 *				n = number of withdrawals per year
 *				y = number of total withdrawals
 *
 * double withdraw();
 * double p,i;
 * int n,y;
 */

double
withdraw(a,i,n,y) 	/* Regular Withdrawals from an Investment */
double a,i;
int n,y;
{
	return(round(a*((i/n)/(pow(1+(i/n),(double)y)-1)+(i/n)),2));
}
